.atlas-utility-provider-popup-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0,0,0,0.6);
  z-index: 9998;
}

.atlas-utility-provider-popup {
  background: #fff;
  width: 480px;
  max-width: 90%; /* responsive */
  border-radius: 6px;
  box-shadow: 0 0 18px rgba(0,0,0,0.25);
  padding: 20px;
}

/* Background Overlay */
.utility-provider-popup {
position: fixed;
inset: 0;
background: rgba(0,0,0,0.45);
display: flex;
justify-content: center;
align-items: center;
z-index: 9999;
}


/* Heading */
.utility-provider-modal h2 {
margin: 0 0 10px 0;
font-size: 20px;
font-weight: 600;
color: #222;
}

/* Subtitle text */
.utility-provider-subtitle {
margin: 0 0 24px 0;
color: #555;
font-size: 14px;
}

/* Form group */
.utility-provider-form-group {
margin-bottom: 22px;
display: flex;
flex-direction: column;
}

.utility-provider-form-group label {
margin-bottom: 6px;
font-size: 16px;
color: #4D4D4D;
font-weight: var(--font-weight-bold, 900);
}

.utility-provider-form-group select {
padding: 10px 30px 10px 10px;
font-size: 14px;
border: 1px solid #ccc;
border-radius: 4px;
height: 40px;
}

.utility-provider-name-value {
  text-transform: uppercase;
}

.utility-provider-name-change {
cursor: pointer;
text-decoration: underline !important;
}

/* Continue Button */

.utility-provider-continue-btn {
width: 40%;
padding: 10px 22px;
border: none;
border-radius: 4px;
font-size: 15px;
margin-top: 12px;
cursor: pointer;
float: right;
background-color: var(--primary-button-background-color);
color: var(--primary-button-text-color);
border: 1px solid var(--primary-button-border-color);
vertical-align: middle;
}
.utility-provider-cr-btn {
  border-radius: 0px;
  box-sizing: border-box;
  color: white;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: "Nunito Sans";
  font-size: 1.6rem;
  font-weight: var(--font-weight-bold, 700);
  line-height: 20px;
  margin-bottom: 20px;
  max-width: 430px;
  min-height: 40px;
  padding: 15px 25px;
  text-align: center;
  text-decoration: none;
  cursor: pointer;
  width: 40%;
}
.utility-provider-continue-btn:hover {
  background-color: var(--primary-button-hover-background-color);
  color: var(--primary-button-hover-text-color);
  text-decoration: none;
  border: 1px solid var(--primary-button-hover-border-color);
  border-radius: 0;
}

.utility-provider-subtitle-bold {
  font-weight: 700;
  font-size: 16px;
  color : var(--primary-button-border-color);
  cursor: pointer;
  text-decoration: underline !important;
}

.category-products-subtitle {
  color: #707070 !important;
  margin-bottom: 24px !important;
}

.catalog-category-view {
  .page-wrapper {
      #maincontent {
          .page-title-wrapper {
              width: 100%;
              h1 {
                  margin-bottom: 16px;
              }
          }
      }
  }
}


/* Fade-in animation */
@keyframes fadeIn {
from { opacity: 0; transform: translateY(-10px); }
to { opacity: 1; transform: translateY(0); }
}

/* --- Mobile / Small Screen Fixes --- */
@media (max-width: 480px) {
.utility-provider-modal {
  padding: 20px;
}
}

/* --Top header related CSS-- */

.header.panel>.header.links{
margin: 1rem 0 !important;
height: 20px !important;
}

span.energy-provider-label {
padding-left: 26px;
display: flex;
}
.utility-provider-name-value {
padding-left: 5px;
padding-right: 7px;
}
.header.panel>.header.links>.authorization-link {
opacity: 1;
border-left-width: 1px;
padding-left: 16px;
height: 20px !important;
}

/* Only apply when multi utility provider block is present (utility-provider-header in DOM) */
.header.panel > .header.links:has(.utility-provider-header) > .authorization-link {
  border-left: 1px solid #FFFFFF4D;
}

.page-wrapper > header .panel.wrapper .panel.header .header.links .customer-welcome {
	color: var(--top-header-font-color) !important;
}

/* Desktop styles */

@media screen and (min-width: 768px) {
  .header.panel>.header.links>.authorization-link {
    text-decoration: underline !important;
    }
}

.nav.item.cr-btn.cr-btn-primary {
  order: 0 !important;
}

/* ---Mobile menu specific styles--- */

@media screen and (max-width: 767px) {

  .utility-provider-cr-btn {
    width: 100%;
  }
.sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.customer-welcome .customer-menu .header.links li.authorization-link.signout {
    display: block;
}
.utility-provider-header {
    order: 1 !important;
    background-color: #F7F7F7 !important;
}
span.energy-provider-label {
padding-top: 12px;
padding-left: 26px;
display: block;
text-transform: uppercase;
line-height: 1.8;
}
.utility-provider-name-value {
display: block;
padding-left: 0px;
text-transform: none;
}
.utility-provider-name-change {
    cursor: pointer;
    text-decoration: underline !important;
    text-transform: none;
    color: var(--primary-color);
}
.sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li>a {
color: var(--primary-color) !important;
}
.sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li>a.back-to-portal-link {
padding: inherit;
background-color: var(--primary-color);
color: #FFFFFF !important;
width: 100%;
justify-content: center;
}
.sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li>a.back-to-portal-link {
padding: inherit;
background-color: var(--primary-color);
color: #FFFFFF !important;
width: 100%;
justify-content: center;
}

.nav.item.cr-btn.cr-btn-primary {
  order: 0 !important;
}

.customer-welcome {
  order: 2 !important;
}

.authorization-link.signout {
  order: 3 !important;
}
.nav.item.cr-btn.cr-btn-primary{
  border-top: none !important;
  border-left: none !important;
  border-right: none !important;
}
}

@media only screen and (max-width: 766px) {
  .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.customer-welcome .customer-name:before {
      background-size: 100%;
      background-position: center;
      margin-right: 5px;
      width: 33px;
      height: 25px;
      opacity: .6;
      content: "";
  }
}

@media only screen and (max-width: 766px) {
  .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.customer-welcome .customer-name .fullname {
      color: var(--primary-color);
      word-break: break-all;

  }
}
@media screen and (max-width: 767px) {
  span.energy-provider-label {
      display: block;
      text-transform: uppercase;
      line-height: 1.8;
      font-size: 12px;
      font-weight: 800;
      font-size: 12px;
      line-height: 18px;
      letter-spacing: 0.2px;
      padding: 20px;
      color: #4D4D4D;
  }
}


@media screen and (max-width: 767px) {
  .utility-provider-name-change {
      cursor: pointer;
      text-decoration: underline !important;
      text-transform: none;
      color: var(--primary-color);
      font-weight: 400;
      font-size: 14px;
      line-height: 21px;
  }
}
@media screen and (max-width: 767px) {
  .utility-provider-name-value {
      display: block;
      padding-left: 0px;
      text-transform: none;
      padding-bottom: 10px;
      padding-top: 7px;
      font-weight: 700;
      font-size: 14px;
      line-height: 21px;
      letter-spacing: 0.2px;
  }
}

@media screen and (max-width: 767px) {
  .page-wrapper .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.active a {
      border-bottom: none;
      padding-left: 20px;
      font-weight: bold;
  }
}
@media screen and (max-width: 767px) {
  .page-wrapper .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.active a {
      border-bottom: none;
      padding-left: 20px;
      font-weight: 400;
      font-size: 16px;
      line-height: 24px;
  }
}

/* Changes provided by Jasna */

@media screen and (max-width: 767px) {
  .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.authorization-link.signout a {
      color: var(--primary-color) !important;
  }

  li.authorization-link.signout {
        display: none;
  }
}
@media only screen and (max-width: 766px) {
  .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.customer-welcome .customer-name:before {
      background-size: 100%;
      background-position: center;
      margin-right: 5px;
      width: 33px;
      height: 25px;
      opacity: .6;
      content: "";
  }
  .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.customer-welcome .customer-name .fullname {
      color: var(--primary-color);
      word-break: break-all;

  }
}
@media screen and (max-width: 767px) {
  span.energy-provider-label {
      display: block;
      text-transform: uppercase;
      line-height: 1.8;
      font-size: 12px;
      font-weight: 800;
      font-size: 12px;
      line-height: 18px;
      letter-spacing: 0.2px;
      padding: 24px;
      color: #4D4D4D;
  }
}


@media screen and (max-width: 767px) {
  .utility-provider-name-change {
      cursor: pointer;
      text-decoration: underline !important;
      text-transform: none;
      color: var(--primary-color);
      font-weight: 400;
      font-size: 14px;
      line-height: 21px;
  }
}
@media screen and (max-width: 767px) {
  .utility-provider-name-value {
      display: block;
      padding-left: 0px;
      text-transform: none;
      padding-bottom: 10px;
      padding-top: 7px;
      font-weight: 700;
      font-size: 14px;
      line-height: 21px;
      letter-spacing: 0.2px;
  }
}

@media screen and (max-width: 767px) {
  .page-wrapper .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.active a {
      border-bottom: none;
      padding-left: 20px;
      font-weight: bold;
  }
}
@media screen and (max-width: 767px) {
  .page-wrapper .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.active a {
      border-bottom: none;
      padding-left: 20px;
      font-weight: 400;
      font-size: 16px;
      line-height: 24px;
  }
}

@media only screen and (max-width: 766px) {
  .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.customer-welcome .customer-name:before {
      background-size: 100%;
      background-position: center;
      margin-right: 5px;
      width: 30px;
      height: 25px;
      opacity: .6;
      content: "";
  }
}

@media screen and (max-width: 767px) {
  .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li>a.back-to-portal-link {
      padding: inherit;
      background-color: var(--primary-color);
      color: #FFFFFF !important;
      width: 100%;
      justify-content: center;
      font-weight: 700;
      font-size: 16px;
      line-height: 24px;
      letter-spacing: 0.2px;
  }
}

@media only screen and (max-width: 766px) {
  .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.customer-welcome .customer-name {
     border-left: 0;
      color: #343434;
      height: 50px;
      display: flex;
      align-items: center;
      font-size: -16px;
      padding-left: 10px;
      font-weight: bold;
      color: #343434;
      height: 50px;
      display: flex;
      align-items: center;
      font-size: 16px;
      padding-left: 20px;
      font-weight: bold;
      font-weight: 400;
      font-size: 16px;
      line-height: 24px;
      letter-spacing: 0.2px;
      border-bottom: 1px solid #e2e2e2;
      margin-top: 20px;
      padding-bottom: 20px;
      padding-right: 20px;

  }
}

@media only screen and (max-width: 766px) {
  .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.customer-welcome .customer-name .fullname {
      color: var(--primary-color);
      word-break: break-all;
      padding-left: 4px;
  }
}
@media only screen and (max-width: 766px) {
  .sections.nav-sections .section-items.nav-sections-items .section-item-content.nav-sections-item-content .header.links li.customer-welcome .customer-name {
      border-left: 0px;
  }
}
@media screen and (max-width: 767px) {
 .authorization-link.signout {
     order: 4 !important;
 }
}

@media screen and (min-width: 768px) {
  .header.panel > .header.links > .authorization-link::after {
    display: none !important;
  }
}
  
/* ---Mobile menu specific styles ends here--- */
/* ---Top header related CSS--- */
